Clone Tools
  • last updated a few minutes ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
AS: Added strict MANIFEST versions + wait condition to deploy.

  1. … 3 more files in changeset.
AS: Commented part of the create server test due to the JBIDE-18737

AS: Commented part of the create server test due to the JBIDE-18737

AS: Added cleanup to ServerStateDetectors

AS: Added cleanup to ServerStateDetectors

AS: POM refactoring

  1. … 23 more files in changeset.
AS: POM refactoring

  1. … 23 more files in changeset.
AS: fixed issue with browser title for EAP 6 and caching of welcome page

  1. … 2 more files in changeset.
AS: fixed issue with browser title for EAP 6 and caching of welcome page

  1. … 2 more files in changeset.
AS: Re-implemented opening of web page.

  1. … 7 more files in changeset.
Added tests for EAP 6.2

  1. … 8 more files in changeset.
AS: Added selecting of targeted runtime to deployed project.

Fix: Wildfly Server Adapter label changed to 8.x (was 8.0)

  1. … 3 more files in changeset.
Refactors server requirements - inherits from redder server requirements.

  1. … 92 more files in changeset.
AS: Fixed problems with hot deployment tests.

AS: Fixed issue with server already running dialog.

AS tests: tests cleanup

  1. … 4 more files in changeset.
AS tests: Changed retrieving of server module + using Labeled combo instead of DefaultCombo.

  1. … 1 more file in changeset.
Removed JBTTestCase from AS tests + added properties to launchers + removed Section.

  1. … 8 more files in changeset.
Change @Server annotation to @JBossServer annotation and inherit from reddeer ServerRequierementsBase schema.

  1. … 73 more files in changeset.
JBIDE-13939 Changed version of JBoss server requirements from string to enum

Server family (previously server type) and version was merged to one enum

type - server type

Renamed ServerReqOperator to ServerReqVersion because the annotation's

attributes has changed and attribute "version" is more explicit than attribute

"operator". For example this @JBossServer(type=EAP5x, version=GREATER) is

explicitly saying that we want EAP with version greater than 5.x.

However this @JBossServer(type=EAP5x, operator=GREATER) is a little bit

confusing for new user of JBoss Server requirements, because he don't know

what is an operator.

Changed parsing server version. Now it distinct major and minor versions.

Parse server version has format MAJOR_VERSION*10+MINOR_VERSION, where

minor version is a single-digit

  1. … 73 more files in changeset.
Migrated AS component to use Red Deer.

  1. … 96 more files in changeset.
Migrated tests from swt bot requirements to Red deer requirements

    • -0
    • +20
    ./org/jboss/ide/eclipse/as/ui/bot/test/JBTTestSuite.java
  1. … 111 more files in changeset.
Added tests for startup / shutdown polling.

  1. … 34 more files in changeset.
Wildfly 8 and EAP 6.2 fix for JBDS 7.1.0.Beta1

  1. … 1 more file in changeset.
Support for EAP 6.2 server adapter

Edited WildFly 8 tests to use WildFly 8 server adapter instead of EAP 6.1 adapter

  1. … 1 more file in changeset.
Added support for Wildfly 8

New Test suite and new maven profile were added.

  1. … 4 more files in changeset.
Fix for EAP6 (EAP6.1) compatibility tests.

Now it's possible to address either EAP 6.0 or EAP 6.1. New profile was

added to pom.xml

  1. … 4 more files in changeset.
Fix for failing AS tests.